#ifndef LED_H
#define LED_H

#include <QWidget>

class Led : public QWidget
{
	Q_OBJECT

	bool lit_ = false;

	public:

	Led(QWidget* parent = nullptr);
	bool lit() const;

	public slots:

	void setLit(bool lit);

	signals:

	void stateChanged(bool lit);
	protected:
	virtual void paintEvent(QPaintEvent* event) override;


};
#endif // LED_H
